Skip to main content
GET
/
accounts
List all accounts
curl --request GET \
  --url https://api.venlyfinance.com/api/v1/accounts \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "result": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "externalId": "<string>",
      "status": "ACTIVE",
      "partyRoles": [
        {
          "partyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "roleType": "ACCOUNT_HOLDER",
          "status": "ACTIVE",
          "party": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "externalId": "<string>",
            "partyType": "INDIVIDUAL",
            "status": "ACTIVE",
            "firstName": "<string>",
            "lastName": "<string>",
            "kycStatus": "PENDING",
            "name": "<string>",
            "vatNumber": "<string>",
            "kybStatus": "PENDING",
            "address": {
              "addressLine1": "<string>",
              "city": "<string>",
              "postalCode": "<string>",
              "country": "<string>",
              "addressLine2": "<string>",
              "state": "<string>"
            }
          }
        }
      ]
    }
  ],
  "pagination": {
    "pageNumber": 123,
    "pageSize": 123,
    "numberOfElements": 123,
    "numberOfPages": 123,
    "hasNextPage": true,
    "hasPreviousPage": true
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
integer<int32>
default:1

Page number (1-based indexing)

Required range: x >= 1
size
integer<int32>
default:100

Number of items per page

Required range: x >= 1
sortOn
string
default:createdAt

Field to sort by

sortOrder
enum<string>
default:ASC

Sort direction

Available options:
ASC,
DESC
status
enum<string>
Available options:
ACTIVE,
SUSPENDED,
BLOCKED
partyId
string<uuid>

Filter by party ID

externalId
string

Filter by external ID (exact match)

Response

List of accounts

success
boolean

Indicates whether the request was successful

result
object[]
pagination
object

Pagination metadata